- name: install postfix
  action: yum pkg=postfix state=installed
  tags:
  - postfix
  - packages

- name: /etc/postfix/main.cf
  action: copy src={{ item }} dest=/etc/postfix/main.cf
  with_first_found:
    - "{{ postfix_maincf }}"
    - "{{ roles }}/base/files/postfix/main.cf.{{ ansible_fqdn }}"
    - "{{ roles }}/base/files/postfix/main.cf.{{ inventory_hostname }}"
    - "{{ roles }}/base/files/postfix/main.cf.{{ host_group }}"
    - "{{ roles }}/base/files/postfix/main.cf.{{ postfix_group }}"
    - "{{ roles }}/base/files/postfix/main.cf/main.cf"
  notify:
  - restart postfix
  tags:
  - postfix
  - config

- name: enable postfix to start
  action: service name=postfix state=running enabled=true
  tags:
  - service
